# 数据源配置
spring:
    datasource:
        dynamic:
            strict: true
            primary: base
            datasource:
                victoriatourist:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_victoriatourist?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                common:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_common?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                oa:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_oa?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                mes:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_mes?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                wms:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_wms?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                item:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_item?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                supply:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_supply?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                base:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_base?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                iot:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_iot?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                customer:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_customer?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                purchase:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_purchase?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                account:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_account?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                sale:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_sale?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                mail:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_mail?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                kd100:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_kd100?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                ehsd:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_ehsd?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                data:
                    url: jdbc:mysql://36.134.91.96:12333/yf_new?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123
                jxst:
                    url: jdbc:mysql://36.134.91.96:12333/bytesailing_jxst?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=Asia/Shanghai
                    username: root
                    password: Fjhx@pwd123

    # redis 配置
    redis:
        # 地址
        host: 36.134.91.96
        # 端口，默认为6379
        port: 13444
        # 数据库索引
        database: 5
        # 密码
        password: Fjhx@pwd123
        # 连接超时时间
        timeout: 10s
        lettuce:
            pool:
                # 连接池中的最小空闲连接
                min-idle: 0
                # 连接池中的最大空闲连接
                max-idle: 8
                # 连接池的最大数据库连接数
                max-active: 8
                # #连接池最大阻塞等待时间（使用负值表示没有限制）
                max-wait: -1ms

mail:
    # 调用邮箱服务url前缀
    urlPrefix: http://localhost:8088/mailService/
    abroadUrlPrefix: http://localhost:8088/mailService/

hx:
    httpUrl: http://localhost:9898/

# token配置
token:
    # 令牌自定义标识
    header: Authorization
    # 令牌密钥
    secret: abcdefghijklmnopqrstuvwxyz
    # 令牌有效期（默认30分钟）
    expireTime: 2880
